X7ROOT File Manager
Current Path:
/usr/local/sbin
usr
/
local
/
sbin
/
📁
..
📄
aria_chk
(5.54 MB)
📄
aria_dump_log
(5.34 MB)
📄
aria_ftdump
(5.35 MB)
📄
aria_pack
(5.38 MB)
📄
aria_read_log
(5.5 MB)
📄
galera_new_cluster
(928 B)
📄
galera_recovery
(3.29 KB)
📄
innochecksum
(4.61 MB)
📄
mariadb
(5.12 MB)
📄
mariadb-access
(109.48 KB)
📄
mariadb-admin
(4.89 MB)
📄
mariadb-binlog
(5.16 MB)
📄
mariadb-check
(4.89 MB)
📄
mariadb-config
(15.64 KB)
📄
mariadb-conv
(4.6 MB)
📄
mariadb-convert-table-format
(4.28 KB)
📄
mariadb-dump
(4.99 MB)
📄
mariadb-dumpslow
(8.19 KB)
📄
mariadb-embedded
(24.72 MB)
📄
mariadb-find-rows
(3.35 KB)
📄
mariadb-fix-extensions
(1.31 KB)
📄
mariadb-hotcopy
(34.67 KB)
📄
mariadb-import
(5 MB)
📄
mariadb-install-db
(22.35 KB)
📄
mariadb-ldb
(11.28 MB)
📄
mariadb-plugin
(4.58 MB)
📄
mariadb-secure-installation
(13.66 KB)
📄
mariadb-service-convert
(2.45 KB)
📄
mariadb-setpermission
(17.7 KB)
📄
mariadb-show
(4.88 MB)
📄
mariadb-slap
(4.89 MB)
📄
mariadb-tzinfo-to-sql
(4.57 MB)
📄
mariadb-upgrade
(5.01 MB)
📄
mariadb-waitpid
(4.56 MB)
📄
mariadb_config
(15.64 KB)
📄
mariadbd
(26.85 MB)
📄
mariadbd-multi
(26.85 KB)
📄
mariadbd-safe
(30.59 KB)
📄
mariadbd-safe-helper
(4.53 MB)
📄
msql2mysql
(1.42 KB)
📄
my_print_defaults
(4.56 MB)
📄
myisam_ftdump
(4.89 MB)
📄
myisamchk
(5.02 MB)
📄
myisamlog
(4.87 MB)
📄
myisampack
(4.92 MB)
📄
myrocks_hotbackup
(24.54 KB)
📄
mysql
(5.12 MB)
📄
mysql_config
(4.47 KB)
📄
mysql_embedded
(24.72 MB)
📄
mysql_find_rows
(3.35 KB)
📄
mysql_fix_extensions
(1.31 KB)
📄
mysql_install_db
(22.35 KB)
📄
mysql_ldb
(11.28 MB)
📄
mysql_plugin
(4.58 MB)
📄
mysql_tzinfo_to_sql
(4.57 MB)
📄
mysql_upgrade
(5.01 MB)
📄
mysql_waitpid
(4.56 MB)
📄
mysqlaccess
(109.48 KB)
📄
mysqladmin
(4.89 MB)
📄
mysqlbinlog
(5.16 MB)
📄
mysqlcheck
(4.89 MB)
📄
mysqld
(26.85 MB)
📄
mysqld_multi
(26.85 KB)
📄
mysqld_safe
(30.59 KB)
📄
mysqld_safe_helper
(4.53 MB)
📄
mysqldump
(4.99 MB)
📄
mysqlimport
(5 MB)
📄
mysqlshow
(4.88 MB)
📄
mysqlslap
(4.89 MB)
📄
mytop
(72.03 KB)
📄
perror
(4.77 MB)
📄
rcmysql
(0 B)
📄
replace
(4.54 MB)
📄
resolve_stack_dump
(4.56 MB)
📄
resolveip
(4.56 MB)
📄
sst_dump
(6.81 MB)
📄
wsrep_sst_backup
(2.39 KB)
📄
wsrep_sst_common
(68.25 KB)
📄
wsrep_sst_mariabackup
(51.98 KB)
📄
wsrep_sst_mysqldump
(8.82 KB)
📄
wsrep_sst_rsync
(29.84 KB)
📄
wsrep_sst_rsync_wan
(29.84 KB)
Editing: galera_recovery
#!/usr/bin/sh # Copyright (c) 2016 MariaDB Corporation # # This program is free software; you can redistribute it and/or modify # it under the terms of the GNU General Public License as published by # the Free Software Foundation; version 2 of the License. # # This program is distributed in the hope that it will be useful, # but WITHOUT ANY WARRANTY; without even the implied warranty of # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the # GNU General Public License for more details. # # You should have received a copy of the GNU General Public License # along with this program; if not, write to the Free Software # Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1335 USA */ # This script is intended to be executed by systemd. It starts mysqld with # --wsrep-recover to recover from a non-graceful shutdown, determines the # last stored global transaction ID and echoes it in --wsrep-start-position=XX # format. The output is then captured and used by systemd to start mysqld. # If the server was configured to start without wsrep, nothing is echoed. cmdline_args=$@ user="mysql" print_defaults="/usr/bin/my_print_defaults" log_file=$(mktemp /tmp/wsrep_recovery.XXXXXX) euid=$(id -u) recovered_pos="" skipped="" start_pos="" start_pos_opt="" ret=0 wsrep_on=0 log () { local msg="$1" # Print all messages to stderr as we reserve stdout for printing # --wsrep-start-position=XXXX. echo "$msg" >&2 } finish() { rm -f "$log_file" } trap finish EXIT parse_arguments() { for arg do val=`echo "$arg" | sed -e "s;--[^=]*=;;"` case "$arg" in --wsrep[-_]on) wsrep_on=1 ;; --skip[-_]wsrep[-_]on) wsrep_on=0 ;; --wsrep[-_]on=*) if echo $val | grep -iq '\(ON\|1\)'; then wsrep_on=1 else wsrep_on=0 fi ;; esac done } wsrep_recover_position() { # Redirect server's error log to the log file. eval /usr/sbin/mariadbd $cmdline_args --user=$user --wsrep_recover \ --disable-log-error 2> "$log_file" ret=$? if [ $ret -ne 0 ]; then # Something went wrong, let us also print the error log so that it # shows up in systemctl status output as a hint to the user. log "WSREP: Failed to start mysqld for wsrep recovery: '`cat $log_file`'" exit 1 fi # Parse server's error log for recovered position. The server prints # "..skipping position recovery.." if started without wsrep. recovered_pos="$(grep -a 'WSREP: Recovered position:' $log_file)" if [ -z "$recovered_pos" ]; then skipped="$(grep -a WSREP $log_file | grep 'skipping position recovery')" if [ -z "$skipped" ]; then log "WSREP: Failed to recover position: '`cat $log_file`'" exit 1 else log "WSREP: Position recovery skipped." fi else start_pos="$(echo $recovered_pos | sed 's/.*WSREP\:\ Recovered\ position://' \ | sed 's/^[ \t]*//')" log "WSREP: Recovered position $start_pos" start_pos_opt="--wsrep_start_position=$start_pos" fi } # Safety checks if [ -n "$log_file" -a -f "$log_file" ]; then chmod 600 $log_file else log "WSREP: mktemp failed" fi parse_arguments `$print_defaults $cmdline_args --loose-verbose --mysqld` # Perform wsrep position recovery if wsrep_on=1, skip otherwise. if [ "$wsrep_on" -eq 1 ]; then wsrep_recover_position fi echo "$start_pos_opt"
Upload File
Create Folder